@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="dashboardTitle"
          class="anchor"
        >
          <ng-template #dashboardTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                {{ 'sqtm-core.generic.label.dashboard.title' | translate }}
              </div>
              <div
                class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
              >
                {{
                  'sqtm-core.generic.date.prefix.generated-on'
                    | translate
                    | capitalize
                }}
                {{ componentData.dashboard.generatedOn | date: 'medium' }}
              </div>
              <span (click)="refreshStats($event)">
                <i
                  nz-icon
                  nzType="sqtm-core-generic:refresh"
                  nzTheme="outline"
                  [attr.data-test-element-id]="'refresh'"
                  class="current-workspace-button action-icon-size m-r-10"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                ></i>
              </span>
              <span
                #containerRef
                [attr.data-test-toolbar-id]="'favorite-icon'"
                (click)="showList($event)"
              >
                <i
                  nz-icon
                  nzType="star"
                  nzTheme="outline"
                  class="font-20-px current-workspace-main-color m-r-20 __hover_pointer"
                  nz-tooltip
                  nzTooltipPlacement="topRight"
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.favorite' | translate
                  "
                ></i>
              </span>
              <ng-template #templatePortalContent>
                <div
                  class="container-background-color container flex-column"
                  [attr.data-test-menu-id]="'favoriteMenu'"
                >
                  <div
                    class="p-4 __hover_pointer txt-ellipsis flex-row item"
                    [attr.data-test-menu-item-id]="'home'"
                    (click)="addOrWithdrawFavorite(componentData, 'HOME')"
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:confirm"
                      [class.hidden]="
                        !dashboardIsFavoriteInWorkspace(componentData, 'HOME')
                      "
                    ></i>
                    <span class="m-l-5 txt-ellipsis">
                      {{ 'sqtm-core.home-workspace.label.short' | translate }}
                    </span>
                  </div>
                  <div
                    class="p-4 __hover_pointer txt-ellipsis flex-row item"
                    [attr.data-test-menu-item-id]="'requirements'"
                    (click)="
                      addOrWithdrawFavorite(componentData, 'REQUIREMENT')
                    "
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:confirm"
                      [class.hidden]="
                        !dashboardIsFavoriteInWorkspace(
                          componentData,
                          'REQUIREMENT'
                        )
                      "
                    ></i>
                    <span class="m-l-5 txt-ellipsis">
                      {{
                        'sqtm-core.entity.requirement.label.plural' | translate
                      }}
                    </span>
                  </div>
                  <div
                    class="p-4 __hover_pointer txt-ellipsis flex-row item"
                    [attr.data-test-menu-item-id]="'test-cases'"
                    (click)="addOrWithdrawFavorite(componentData, 'TEST_CASE')"
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:confirm"
                      [class.hidden]="
                        !dashboardIsFavoriteInWorkspace(
                          componentData,
                          'TEST_CASE'
                        )
                      "
                    ></i>
                    <span class="m-l-5 txt-ellipsis">
                      {{
                        'sqtm-core.entity.test-case.label.singular' | translate
                      }}
                    </span>
                  </div>
                  <div
                    class="p-4 __hover_pointer txt-ellipsis flex-row item"
                    [attr.data-test-menu-item-id]="'campaigns'"
                    (click)="addOrWithdrawFavorite(componentData, 'CAMPAIGN')"
                  >
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:confirm"
                      [class.hidden]="
                        !dashboardIsFavoriteInWorkspace(
                          componentData,
                          'CAMPAIGN'
                        )
                      "
                    ></i>
                    <span class="m-l-5 txt-ellipsis">
                      {{
                        'sqtm-core.entity.execution.label.plural' | translate
                      }}
                    </span>
                  </div>
                  <div
                    class="p-4 __hover_pointer txt-ellipsis flex-row item"
                    [attr.data-test-menu-item-id]="'no-workspace'"
                    (click)="removeDashboardFromFavorites()"
                  >
                    <span class="m-l-5 txt-ellipsis">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.no-favorite-workspace'
                          | translate
                      }}
                    </span>
                  </div>
                </div>
              </ng-template>
            </div>
          </ng-template>
          <div class="full-width" style="height: 84vh">
            @if (bindings$ | async; as bindings) {
              @if (bindings.length > 0) {
                <sqtm-app-custom-dashboard
                  [permissions]="componentData.permissions"
                  [chartBindings]="bindings"
                  [dashboardId]="componentData.dashboard.id"
                  (dashboardCleared)="clearDashboard()"
                >
                </sqtm-app-custom-dashboard>
              } @else {
                <div
                  #emptyDashboard
                  class="full-width full-height font-16-px flex-row sqtm-core-centered-message container-transparent-border"
                  [attr.data-test-element-id]="'empty-dashboard-dropzone'"
                  [sqtmCoreDraggableDropZone]="'empty-dashboard-dropzone'"
                  (dragEnter)="dragEnter($event, componentData.permissions)"
                  (dragLeave)="dragLeave()"
                  (drop)="dropInEmptyChart($event, componentData.permissions)"
                >
                  {{
                    'sqtm-core.custom-report-workspace.dashboard-view.empty'
                      | translate
                  }}
                </div>
              }
            }
          </div>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <div class="information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.entity.generic.creation.label' | translate"
            >
            </sqtm-core-label>
            <div [attr.data-test-field-id]="'dashboard-created'">
              <span
                class="text-ellipsis"
                nz-tooltip
                [sqtmCoreLabelTooltip]="
                  getAuditableText(
                    componentData.dashboard.createdOn,
                    componentData.dashboard.createdBy
                  )
                "
                >{{
                  getAuditableText(
                    componentData.dashboard.createdOn,
                    componentData.dashboard.createdBy
                  )
                }}</span
              >
            </div>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
